Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/elixir: new aport

From: Marlus Saraiva <marlus.saraiva_at_gmail.com>
Date: Fri, 13 Mar 2015 14:06:28 +0000

Elixir is a dynamic, functional language designed for building scalable and maintainable applications
http://elixir-lang.org
---
 testing/elixir/APKBUILD                  | 41 ++++++++++++++++++++++++++++++++
 testing/elixir/fix_system_cmd_test.patch | 20 ++++++++++++++++
 2 files changed, 61 insertions(+)
 create mode 100644 testing/elixir/APKBUILD
 create mode 100644 testing/elixir/fix_system_cmd_test.patch
diff --git a/testing/elixir/APKBUILD b/testing/elixir/APKBUILD
new file mode 100644
index 0000000..fb7ad5f
--- /dev/null
+++ b/testing/elixir/APKBUILD
_at_@ -0,0 +1,41 @@
+# Maintainer: Marlus Saraiva <marlus.saraiva_at_gmail.com>
+pkgname=elixir
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Elixir is a dynamic, functional language designed for building scalable and maintainable applications"
+url="http://elixir-lang.org"
+arch="noarch"
+license="ASL 2.0"
+depends="erlang erlang-crypto erlang-syntax-tools erlang-inets erlang-ssl 
+         erlang-public-key erlang-asn1 erlang-sasl erlang-erl-interface erlang-dev"
+makedepends="erlang-parsetools erlang-eunit erlang-tools"
+source="https://github.com/elixir-lang/elixir/archive/v$pkgver.tar.gz
+        fix_system_cmd_test.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+  cd "$_builddir"
+  for i in $source; do
+    case $i in
+    *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1
+    esac
+  done
+}
+
+build() {
+	cd "$_builddir"
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
+}
+
+md5sums="a7f44d73f5325fc8600044552b5abeae  v1.0.3.tar.gz
+2b9b691105d748719521aa8f1711b19a  fix_system_cmd_test.patch"
+sha256sums="ec6c4eaffcb771d91bdea9fb274600c624fd16b1891d194b3fcb2b521f52cc75  v1.0.3.tar.gz
+95e58ed3a81f1e10f5f63b9a8602c9b359e6c081e3fd5a6fa2bbb1a51b045300  fix_system_cmd_test.patch"
+sha512sums="d48636c355181a633dfc5d256f9a1718d74137686080c965d2d568e3d9b0f5cc1352f2ed4d12e50bd89c4cfc9cd59e7a1112ae22979012845df0556124151d1e  v1.0.3.tar.gz
+adeb558291a0199778ee2d1a87173d2729645d9111840bdc386bde9c6659d05a6c6004fdb33e7495e3f7b92cc3e67a923bf4bf65fb914531ea7ef3618ae26ff6  fix_system_cmd_test.patch"
diff --git a/testing/elixir/fix_system_cmd_test.patch b/testing/elixir/fix_system_cmd_test.patch
new file mode 100644
index 0000000..be852a5
--- /dev/null
+++ b/testing/elixir/fix_system_cmd_test.patch
_at_@ -0,0 +1,20 @@
+--- ./lib/elixir/test/elixir/system_test.exs.orig
++++ ./lib/elixir/test/elixir/system_test.exs
+_at_@ -63,7 +63,7 @@ defmodule SystemTest do
+     assert {"hello\n", 0} = System.cmd "echo", ["hello"]
+ 
+     opts = [into: [], cd: System.cwd!, env: %{"foo" => "bar"},
+-            arg0: "hecho", stderr_to_stdout: true, parallelism: true]
++            arg0: "echo", stderr_to_stdout: true, parallelism: true]
+     assert {["hello\n"], 0} = System.cmd "echo", ["hello"], opts
+ 
+     with_tmp_dir(fn dir ->
+_at_@ -73,7 +73,7 @@ defmodule SystemTest do
+ 
+       File.cd!(dir)
+       assert :enoent = catch_error(System.cmd("echo2", ["hello"]))
+-      assert {"hello\n", 0} = System.cmd(Path.join([System.cwd, "echo2"]), ["hello"])
++      assert {"hello\n", 0} = System.cmd(Path.join([System.cwd, "echo2"]), ["hello"], [{:arg0, "echo"}])
+     end)
+   end
+ 
-- 
2.3.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 13 2015 - 14:06:28 GMT